Bug 1903402

Summary: Nic/Disk on VMI overview should link to VMI's nic/disk page
Product: OpenShift Container Platform Reporter: Guohua Ouyang <gouyang>
Component: Console Kubevirt PluginAssignee: Matan Schatzman <mschatzm>
Status: CLOSED ERRATA QA Contact: Guohua Ouyang <gouyang>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.7CC: aos-bugs, gouyang, mschatzm, yzamir
Target Milestone: ---   
Target Release: 4.7.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2021-02-24 15:37:21 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Guohua Ouyang 2020-12-02 01:57:57 UTC
Description of problem:
Create a VM and start it, go to the VMI overview page of this VM.
Nic/Disk/Snapshots in Inventory card on VMI overview links to the VM's nic/disk page, not VMI's.

Regarding snapshots, there is no snapshots tab for VMI yet, so I'm not sure where shoud it link to.

If the VMI is not backed by VM, it has no this problem.

Version-Release number of selected component (if applicable):
master

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 Guohua Ouyang 2020-12-02 01:59:47 UTC
CD-ROM in Inventory card on VMI overview also has this problem.

Comment 3 Guohua Ouyang 2020-12-16 03:11:46 UTC
Verify the bug is blocking by #1907352

Comment 6 errata-xmlrpc 2021-02-24 15:37:21 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633